precision mediump float;

attribute vec4 a_position;
uniform mat4 u_projectionMtx;
uniform mat4 u_modelViewMtx;

uniform float u_clock;

void main() {
    float v = u_clock / 4096.0;

    gl_Position = u_projectionMtx * u_modelViewMtx * a_position * vec4(1.0, mix(1.0, v, step(0.0, a_position.y)), 1.0, 1.0);
}